clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::HeaderFile Struct Reference

Represents a header file to be #include'd. More...

`#include <Headers.h>`

Collaboration diagram for clang::clangd::HeaderFile:
[legend]

## Public Member Functions
bool | valid () const

## Public Attributes
std::string | File
bool | Verbatim
| If this is true, `File` is a literal string quoted with <> or "" that can be #included directly; otherwise, `File` is an absolute file path. More...

## Detailed Description

Represents a header file to be #include'd.

Definition at line 33 of file Headers.h.

## Member Function Documentation

## ◆ valid()

bool clang::clangd::HeaderFile::valid | ( |  | ) | const

Definition at line 72 of file Headers.cpp.

References clang::clangd::isLiteralInclude().

Referenced by clang::clangd::IncludeInserter::calculateIncludePath(), and clang::clangd::IncludeInserter::shouldInsertInclude().

## Member Data Documentation

## ◆ File

std::string clang::clangd::HeaderFile::File

Definition at line 34 of file Headers.h.

Referenced by clang::clangd::IncludeInserter::calculateIncludePath(), and clang::clangd::IncludeInserter::shouldInsertInclude().

## ◆ Verbatim

bool clang::clangd::HeaderFile::Verbatim

If this is true, `File` is a literal string quoted with <> or "" that can be #included directly; otherwise, `File` is an absolute file path.

Definition at line 37 of file Headers.h.

Referenced by clang::clangd::IncludeInserter::calculateIncludePath(), and clang::clangd::IncludeInserter::shouldInsertInclude().

The documentation for this struct was generated from the following files:

- Headers.h
- Headers.cpp